Undefined references in png++

I am new to C++ on linux enviroment and am trying to use the png++ library for a project. The problem I am facing is that that a simple program I write using png++ incudes does not work and shows...

Compiling XFCE4 panel plugin

I am converting a gnome panel applet to xfce panel plugin. I have so far removed the few gnome specific parts in the source and replaced them with xfce specific source as appropriate. I created...

Building portable Tesseract OCR libraries in Linux

Is there a way to build and use Tesseract library and corresponding Leptonica library (because Tesseract depends on Leptonica) as it can be done in Windows? I compiled these libraries according to...

CentOS - yum install - Fails: Protected Multilib versions: problems found libselinux

I have CentOS 6.5 I'm trying to intsall git via yum but getting an error while installing the pre-requisite packages. I don't need to but it doesn't hurt running sudo with root. Error message: -->...

Error on execution -version `Qt_5' not found required by

On execution of eiskaltdc++ on ubuntu 15.10 ,I get the following error: eiskaltdcpp-qt: /usr/lib/x86_64-linux-gnu/libQt5Multimedia.so.5: version `Qt_5' not found (required by...

Raspberry pi, libarmmem.so (cannot open shared object file) error

I'm using my Pi as a file server, recently when I logged in I saw a error message stating that libarmmem.so (cannot open shared object file), and despite some suggestions to run apt-get update +...

TensorFlow won't detect GPU with custom docker image and python 3.6

(Posting here before submitting an issue to tensorflow as their issue template suggests) I'm trying to build a tensorflow docker image with python 3.6, I have the following Dockerfile FROM...

cv2.VideoCapture not working in docker container on a mac host

I am unable to open the web cam or capture a video in an Ubuntu 16.04 docker container on a Mac OS Sierra 10.12.6 Host. vid = cv2.VideoCapture(0) where vid.isOpened() returns a False and ret,...

Can apt-get autoremove remove system files?

I tried to install Python 3 on my Ubuntu 16.04.4 LTS and while using apt i found this: The following packages were automatically installed and are no longer required: cabextract gcc-5-base:i386...

QtCreator does not start "could not load platform xcb" [Ubuntu 16.04]

I installed Qt5.7 including the Qtcreator using the installation tool "qt-unified-linux-x64-3.0.5-online.run" into the folder /usr/local/Qt When I run qtcreator in verbose mode (export...

Installing Sharp /usr/include/vips/vips8:35:25: fatal error: glib-object.h

I am trying to install sharp on Ubuntu 16.04 LTS. I originally did not have vips, so I installed sudo apt-get install libvips-dev That fixed the first error, but now I get another error that...

Why is Tesseract's .traineddata file not showing in heroku despite being uploaded and extracted succesfully?

I am trying to deploy an OCR app via heroku with Tesseract. wgetting the .traineddata files cause error, so I decided to compress them in a .tar.gz file and upload them in a custom buildpack from...

Cannot open shared object file libpng12.so.0

I am trying to run Quartus 13.0 in the following machine: parrot 4.18.0-parrot10-amd64 #1 SMP Debian 4.18.10-1parrot10 (2018-10-06) x86_64 GNU/Linux. I have finished installing Quartus 13.0 and...

unable to install libpng12-0 on kali

I am using the latest version of Kali. I installed the Cisco Packet Tracer version 7.2. I ran it I got this error ./PacketTracer7: error while loading shared libraries: libpng12.so.0: cannot...

libpng warning: Interlace handling should be turned on when using png_read_image

I'm running into this error: libpng warning: Interlace handling should be turned on when using png_read_image Per answers I've already seen, I've tried upgrading my version of libpng. However it...

How to use poppler buildpack on Heroku

I want to use pdf2image that is python package on Heroku, and it needs poppler so I have to add poppler buildpack. I added https://github.com/survantjames/heroku-buildpack-poppler.git with...

Cant run Cisco Packet Tracer on Ubuntu 19.04

So i just Installed Cisco Packet Tracer 7.2.1. on my Ubuntu 19.04, so I wanted to run it but it just tells: [email protected]:~$ packettracer Starting Packet Tracer 7.2.1 But doesn't happen...

'composer install' command fails on Docker giving 'SSL Operation Failed with code 1' error

I am on the Windows machine, with Docker running. Docker image is FROM php:7.3-apache. with System : Linux b6df004de9df 4.9.184-linuxkit #1 SMP Tue Jul 2 22:58:16 UTC 2019 x86_64 having Composer...

Graphviz warning with libgvplugin_pango.so.6 - dot fails to produce PDF

For some time now I've not been able to run dot commands and now I finally want to fix the problem. The error I get is the following: Warning: Could not load...

Gatsby cannot find directories/files in .cache

I'm using the gatsby-source-contentful plugin with downloadLocal set to true: { resolve: "gatsby-source-contentful", options: { spaceId: `my_space_id`, accessToken: `my_access_token`, ...

Still Cairo installation issue

I also faced an error during Cairo library installation in R. Please, see the messages below. I get this error: > install.packages('Cairo') % Total % Received % Xferd Average Speed Time ...

How to install libpng12-0 on Debian 10 buster i386?

I added repository "deb http://ftp.de.debian.org/debian jessie main" (i used this). I started the installation: sudo apt install libpng12-0 But the error comes out: dpkg: error processing...

vim: termguicolors with xterm-true-color still causing problems

I have seen a multitiude of posts where not enabling 'tgc' with : if exists('+termguicolors') let &t_8f = "\<Esc>[38:2:%lu:%lu:%lum" let &t_8b = "\<Esc>[48:2:%lu:%lu:%lum" " let &t_8f...

Docker GPU enabled version (>19.03) does not load tensorflow successfully

I want to use docker 19.03 and above in order to have GPU support. I currently have docker 19.03.12 in my system. I can run this command to check that Nvidia drivers are running: docker run -it...

gnome-terminal not opening after library installation. ERROR: FT_Get_Var_Design_Coordinates

I am using Ubuntu 20.04 and tried to install the Python version of Tecplot (Pytecplot), after which I'm unable to open the terminal anymore. $ gnome-terminal /usr/bin/gnome-terminal.real: symbol...

Error while trying to use pdf2image on heroku : libpng12.so.0: cannot open shared object file: No such file or directory

I get the Exception: pdfinfo: error while loading shared libraries: libpng12.so.0: cannot open shared object file: No such file or directory on the line images =...

Speed up reading video frames from camera with Opencv

Currently, i have my application implemented in Python to read camera frames via USB. I use Opencv, but for camera with 60fps and 1920x1080 resolution, i could not capture the this speed. I try...

heroku poppler buildpack error "libpng12.so.0: cannot open shared object file: No such file or directory"

I am trying to use the pdf2image library, specifically the convert_from_bytes method to convert a pdf to a txt file using pytesseract. My app runs locally, but I want to deploy the app to heroku....

The repository 'http://archive.debian.org/debian jessie Release' is not signed

I'm trying to run docker-compose build and I've got this issue: => ERROR [ 3/12] RUN apt-get update -qq && apt-get install -y nodejs postgresql-client libpng12-0 ...

Error: package or namespace load failed for ‘sf’

I am trying to install the package sf, but no success. Firstly, I thought the issue was related to the libraries GDAL, GEOS and PROJ, but all of them are installed and recognized by the...